<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;500;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="css/index.css" />
    <script defer type="module" src="js/index.js"></script>
    <title>Multistep Form</title>
  </head>
  <body>
    <main class="main">
      <div class="step__container">
        <div class="sidebar">
          <div class="step__indecater">
            <div class="indecater__num active">1</div>
            <div class="indecater__text">
              <p class="subtitle">STEP1</p>
              <p class="mini__title">Your Info</p>
            </div>
          </div>
          <div class="step__indecater">
            <div class="indecater__num">2</div>
            <div class="indecater__text">
              <p class="subtitle">STEP2</p>
              <p class="mini__title">Select plan</p>
            </div>
          </div>
          <div class="step__indecater">
            <div class="indecater__num">3</div>
            <div class="indecater__text">
              <p class="subtitle">STEP3</p>
              <p class="mini__title">Add-ons</p>
            </div>
          </div>
          <div class="step__indecater">
            <div class="indecater__num">4</div>
            <div class="indecater__text">
              <p class="subtitle">STEP4</p>
              <p class="mini__title">Summary</p>
            </div>
          </div>
        </div>
        <div class="steps__container">
          <form class="step" id="form">
            <h3 class="main__title">Personal info</h3>
            <p class="description">
              Please provide your name, email address, and phone number.
            </p>
            <ul class="list">
              <li class="list__item">
                <div class="input__labe">
                  <p class="label">Name</p>
                  <p class="warning"></p>
                </div>
                <input
                  type="text"
                  name="userName"
                  class="input"
                  placeholder="e.g. Stephen King"
                  required=""
                />
              </li>
              <li class="list__item">
                <div class="input__labe">
                  <p class="label">Email Address</p>
                  <p class="warning"></p>
                </div>
                <input
                  type="email"
                  name="email"
                  class="input"
                  placeholder="e.g. stephenking@lorem.com"
                  required=""
                />
              </li>
              <li class="list__item">
                <div class="input__labe">
                  <p class="label">Phone Number</p>
                  <p class="warning"></p>
                </div>
                <input
                  type="number"
                  name="phone"
                  class="input"
                  placeholder="e.g. +1 234 567 890"
                  required=""
                />
              </li>
            </ul>
          </form>

          <div class="step" id="step-2">
            <h3 class="main__title">Select your plan</h3>
            <p class="description">
              You have the option of monthly or yearly billing.
            </p>
            <div class="plan__card_container" id="plan-cards">
              <div class="plan__card card">
                <div class="card__img">
                  <img
                    src="	https://multistep-form-23.netlify.app/assets/images/icon-arcade.svg"
                    alt="arcade"
                  />
                </div>
                <div class="plan__price">
                  <p class="card__name" id="arcade">Arcade</p>
                  <p class="card__price">
                    $<span class="sbscription__price">9</span>/<span
                      class="sbscription__duration"
                      >mo</span
                    >
                  </p>
                  <p class="yearly__benefit">2 months free</p>
                </div>
              </div>
              <div class="plan__card card">
                <div class="card__img">
                  <img
                    src="https://multistep-form-23.netlify.app/assets/images/icon-advanced.svg"
                    alt="arcade"
                  />
                </div>
                <div class="plan__price">
                  <p class="card__name" id="advance">Advance</p>
                  <p class="card__price">
                    $<span class="sbscription__price">12</span>/<span
                      class="sbscription__duration"
                      >mo</span
                    >
                  </p>
                  <p class="yearly__benefit">2 months free</p>
                </div>
              </div>
              <div class="plan__card card">
                <div class="card__img">
                  <img
                    src="	https://multistep-form-23.netlify.app/assets/images/icon-pro.svg"
                    alt="arcade"
                  />
                </div>
                <div class="plan__price">
                  <p class="card__name" id="pro">Pro</p>
                  <p class="card__price">
                    $<span class="sbscription__price">15</span>/<span
                      class="sbscription__duration"
                      >mo</span
                    >
                  </p>
                  <p class="yearly__benefit">2 months free</p>
                </div>
              </div>
            </div>
            <p id="select-plan-error"></p>
            <div class="toggle__container">
              <!-- "selected__plan" by default selected palan in monthly -->
              <p class="monthly__plan selected__plan" id="monthly">Monthly</p>
              <div class="toggle">
                <div class="toggle__circle" id="toggle"></div>
              </div>
              <p class="yearly__plan" id="yearly">Yearly</p>
            </div>
          </div>

          <div class="step" id="step-3">
            <h3 class="main__title">Pick add-ons</h3>
            <p class="description">
              Add-ons help enhance your gaming experience.
            </p>
            <div class="addson__card_container">
              <div class="addon__card card">
                <input type="checkbox" name="checkbox" id="" class="checkbox" />
                <div class="card__text">
                  <p class="card__name">Online service</p>
                  <p class="card__description">Access to multiplayer games</p>
                </div>
                <p class="card__price">
                  +$<span class="sbscription__price">1</span>/<span
                    class="sbscription__duration"
                    >mo</span
                  >
                </p>
              </div>
              <div class="addon__card card">
                <input type="checkbox" name="checkbox" id="" class="checkbox" />
                <div class="card__text">
                  <p class="card__name">Larger storage</p>
                  <p class="card__description">Extra 1TB of cloud save</p>
                </div>
                <p class="card__price">
                  +$<span class="sbscription__price">2</span>/<span
                    class="sbscription__duration"
                    >mo</span
                  >
                </p>
              </div>
              <div class="addon__card card">
                <input type="checkbox" name="checkbox" id="" class="checkbox" />
                <div class="card__text">
                  <p class="card__name">Customizable Profile</p>
                  <p class="card__description">Custom theme on your profile</p>
                </div>
                <p class="card__price">
                  +$<span class="sbscription__price">2</span>/<span
                    class="sbscription__duration"
                    >mo</span
                  >
                </p>
              </div>
            </div>
          </div>

          <div class="step" id="step-4">
            <h3 class="main__title">Finishing up</h3>
            <p class="description">
              Double-check everything looks OK before confirming.
            </p>
            <div class="finishingup__card_container card">
              <div class="selected__plan_container">
                <div class="" id="selected-plan"><!-- selected plan --></div>
                <button class="change__plan" id="change-plan">change</button>
              </div>
              <ul id="selected-addon">
                <!-- selected adds-on -->
              </ul>
            </div>
            <div class="total" id="total">
              <!-- total amount -->
            </div>
          </div>

          <div class="step last__step active" id="thank-you">
            <div class="final__img">
              <img
                src="	https://multistep-form-23.netlify.app/assets/images/icon-thank-you.svg"
                alt=""
              />
            </div>
            <h3 class="main__title">Thank you!</h3>
            <p class="description">
              Thanks for confirming your subscription! We hope you have fun
              using our platform. If you ever need support, please feel free to
              email us at support@loremgaming.com.
            </p>
          </div>

          <div class="button__container hidden">
            <button class="button prev__button" id="prev-button">
              Go Back
            </button>
            <button type="submit" class="button next__button" id="next-button">
              Next step
            </button>
          </div>
        </div>
      </div>
    </main>
  </body>
</html>
